Loading...
Searching...
No Matches
etl::unexpected< TError > Class Template Reference

`#include <expected.h>`

## Public Types

typedef TError | error_type

## Public Member Functions

ETL_CONSTEXPR | unexpected (const unexpected &other)
| Copy constructor.
ETL_CONSTEXPR | unexpected (const TError &e)
| Construct from an lvalue.
ETL_CONSTEXPR14 etl::unexpected< TError > & | operator= (const etl::unexpected< TError > &rhs)
| Assign from etl::unexpected.
const TError & | error () const
| Get the error.
void | swap (etl::unexpected< TError > &other)
| Swap with another etl::unexpected.

## Detailed Description

template<typename TError>
class etl::unexpected< TError >

Unexpected type. etl::unexpected represents an unexpected value stored in etl::expected.

The documentation for this class was generated from the following file:

- include/etl/expected.h